#
# spec file for package java2 (Version 1.4.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         java2
%define confdir		/etc/java
%define libdir 		/usr/lib
%define JAVA_VERSION	1.4.2
%define JAVA_DIR 	SunJava2-%{JAVA_VERSION}
%define JAVA_COMPAT_DIR	SunJava2-1.4
#
Summary:      Java(TM) 2 SDK, Standard Edition
License:      Other License(s), see package
Group:        Development/Languages/Java
Version:      1.4.2
Release:      146
# extra provides
Provides:     java SunJava2 jdk1.1.x sdk1.2.x sdk1.3.x sdk1.4.x
# extra requires
Requires:     java2-jre = %{version}-%{release}
# rpm -qRp java2.rpm | grep -v rpmlib | xargs -s 80 echo "Requires:    "
Requires:     /bin/sh /bin/sh ld-linux.so.2 libX11.so.6 libc.so.6
Requires:     libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libdl.so.2
Requires:     libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libpthread.so.0
PreReq:       /bin/mkdir /bin/cat
Autoreqprov:  off
URL:          http://java.sun.com/j2se/1.3/download-linux.html
Source0:      j2sdk-1_4_2_10-linux-i586.tar.bz2
Source1:      java2.conf.in
Source2:      java2-jre.conf.in
Source3:      README.SuSE
Source4:      javaws.desktop
Source5:      javaws.desktop.mimelnk
# font.properties.* files adapted for SuSE Linux
Patch:        j2sdk-1_4_2-linux-i586-font.properties.ja.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Java 2 SDK is a development environment for building applications,
applets, and components using the Java programming language.

The Java 2 SDK includes tools useful for developing and testing
programs written in the Java programming language and running on the
Java platform. These tools are designed to be used from the command
line. Except for the appletviewer, these tools do not provide a
graphical user interface.



%package jre
Group:        Development/Languages/Java
# extra provides
Provides:     java_runtime jre1.1.x jre1.2.x jre1.3.x jre1.4.x
# rpm -qp -provides java2-jre.rpm | grep -v -e "GCC.INTERNAL" -e "export/BUILD_AREA" -e "build/linux-i586/lib/i386" | xargs -s 80 echo "Provides:    "
Provides:     libJdbcOdbc.so libawt.so libcmm.so
Provides:     libcmm.so(SUNWprivate_1.1) libdcpr.so
Provides:     libdcpr.so(SUNWprivate_1.1) libdt_socket.so
Provides:     libfontmanager.so libfontmanager.so(SUNWprivate_1.1)
Provides:     libhpi.so libhpi.so(SUNWprivate_1.1) libhprof.so
Provides:     libioser12.so libjaas_unix.so libjava.so
Provides:     libjava.so(SUNWprivate_1.1) libjavaplugin.so
Provides:     libjavaplugin_jni.so libjavaplugin_oji.so libjawt.so
Provides:     libjcov.so libjdwp.so libjpeg.so libjpeg.so(SUNWprivate_1.1)
Provides:     libjsig.so libjsig.so(libjsig.so) libjsound.so
Provides:     libjsoundalsa.so libjvm.so libjvm.so(SUNWprivate_1.1)
Provides:     libjvm.so(libjvm.so) libmlib_image.so libnative_chmod.so
Provides:     libnet.so libnet.so(SUNWprivate_1.1) libnio.so
Provides:     libnio.so(SUNWprivate_1.1) librmi.so libverify.so
Provides:     libverify.so(SUNWprivate_1.1) libzip.so
Provides:     libzip.so(SUNWprivate_1.1)
# extra requires
Requires:     unixODBC
# rpm -qRp java2-jre.rpm | grep -v -e rpmlib -e libodbc | xargs -s 80 echo "Requires:    "
Requires:     /bin/sh /bin/bash /bin/sh ld-linux.so.2 libX11.so.6
Requires:     libXext.so.6 libXi.so.6 libXp.so.6 libXt.so.6 libXtst.so.6
Requires:     libasound.so.2 libasound.so.2(ALSA_0.9) libawt.so libc.so.6
Requires:     libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libdl.so.2
Requires:     libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libgcc_s.so.1
Requires:     libgcc_s.so.1(GCC_3.0) libjava.so
Requires:     libjava.so(SUNWprivate_1.1) libjvm.so
Requires:     libjvm.so(SUNWprivate_1.1) libm.so.6 libm.so.6(GLIBC_2.0)
Requires:     libm.so.6(GLIBC_2.1) libmlib_image.so libnet.so
Requires:     libnet.so(SUNWprivate_1.1) libnsl.so.1 libpthread.so.0
Requires:     libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1)
Requires:     libverify.so libverify.so(SUNWprivate_1.1)
PreReq:       /bin/mkdir /bin/cat /bin/ln /bin/rm
Autoreqprov:  off
Summary:      Java(TM) 2 Runtime Environment

%description jre
The Java(TM) 2 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers.  For development tools, see the Java 2
SDK, Standard Edition.

The Java 2 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%prep
%setup -q -n j2sdk1.4.2_10
%patch

%build
for config_in in %{S:1} %{S:2} ; do
  config_in_name=`echo ${config_in##*/}`
  sed -e "s|@JAVA_VERSION@|%{JAVA_VERSION}|g" \
      -e "s|@libdir@|%{libdir}|g" \
      -e "s|@JAVA_COMPAT_DIR@|%{JAVA_COMPAT_DIR}|g" \
      $config_in >${config_in_name%.in}
done

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}
cp -rd ./ $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}
#
# the link with name without version
ln -sf %{JAVA_DIR} $RPM_BUILD_ROOT%{libdir}/%{JAVA_COMPAT_DIR}
#
# global preferences
install -m 755 -d $RPM_BUILD_ROOT/etc/.java/
mv  $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/.systemPrefs \
    $RPM_BUILD_ROOT/etc/.java/
#
# man pages
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/ja/
mv $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/man/man1/ \
   $RPM_BUILD_ROOT%{_mandir}/
mv $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/man/ja/man1/ \
   $RPM_BUILD_ROOT%{_mandir}/ja/
#
# config files
install -m 755 -d $RPM_BUILD_ROOT%{confdir}/
mv $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/%{name}.conf     $RPM_BUILD_ROOT%{confdir}/
mv $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/%{name}-jre.conf $RPM_BUILD_ROOT%{confdir}/
#
# desktop files for the javaws utility
# the SuSE menu
install -d -m 755 $RPM_BUILD_ROOT/usr/share/applications
install -m 644 %{S:4} $RPM_BUILD_ROOT/usr/share/applications/javaws.desktop
# the KDE mime
install -d -m 755 $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application
install -m 644 %{S:5} $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application/javaws.desktop
#
# documentation for SDK
install -m 755 -d $RPM_BUILD_ROOT%{_defaultdocdir}/java2/
for file in `find $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/ -maxdepth 1 -type f` ; do
  mv $file $RPM_BUILD_ROOT%{_defaultdocdir}/java2/
done
# demo dir
mv $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/demo \
   $RPM_BUILD_ROOT%{_defaultdocdir}/java2/
# README.SuSE
install -m 644 %{S:3} $RPM_BUILD_ROOT%{_defaultdocdir}/java2/
#
# documentation for JRE
install -m 755 -d $RPM_BUILD_ROOT%{_defaultdocdir}/java2-jre/
for file in `find $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/jre -maxdepth 1 -type f` ; do
  mv $file $RPM_BUILD_ROOT%{_defaultdocdir}/java2-jre/
done
# README.SuSE
install -m 644 %{S:3} $RPM_BUILD_ROOT%{_defaultdocdir}/java2-jre
#
# documentation for Java Web Start (javaws)
install -m 755 -d $RPM_BUILD_ROOT%{_defaultdocdir}/java2-jre/javaws/
mv $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/jre/javaws/{*.html,*gif} \
   $RPM_BUILD_ROOT%{_defaultdocdir}/java2-jre/javaws/
#
# rename conflicting man pages
for man_page in kinit klist ; do
  mv  $RPM_BUILD_ROOT/usr/share/man/man1/${man_page}.1 \
      $RPM_BUILD_ROOT/usr/share/man/man1/${man_page}-%{name}.1
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p var/adm/notify/messages
cat ./%{_defaultdocdir}/%{name}/README.SuSE >var/adm/notify/messages/%{name}-changes

%post jre
mkdir -p var/adm/notify/messages
cat ./%{_defaultdocdir}/%{name}-jre/README.SuSE >var/adm/notify/messages/%{name}-jre-changes
#
# link javaws to /usr/bin
test -x %{_bindir}/javaws || ln -sf %{libdir}/%{JAVA_DIR}/jre/javaws/javaws %{_bindir}/javaws

%postun jre
# remove link /usr/bin/javaws (only if it is no longer valid)
test -L %{_bindir}/javaws && test ! -r %{_bindir}/javaws && rm %{_bindir}/javaws || true

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/java2/
%config %{confdir}/%{name}.conf
%dir %{libdir}/%{JAVA_DIR}
%{libdir}/%{JAVA_DIR}/bin/
%{libdir}/%{JAVA_DIR}/include/
%{libdir}/%{JAVA_DIR}/lib/
#
# man pages
%doc %{_mandir}/man1/appletviewer.1.gz
%doc %{_mandir}/man1/extcheck.1.gz
%doc %{_mandir}/man1/idlj.1.gz
%doc %{_mandir}/man1/jar.1.gz
%doc %{_mandir}/man1/jarsigner.1.gz
%doc %{_mandir}/man1/javac.1.gz
%doc %{_mandir}/man1/javadoc.1.gz
%doc %{_mandir}/man1/javah.1.gz
%doc %{_mandir}/man1/javap.1.gz
%doc %{_mandir}/man1/jdb.1.gz
%doc %{_mandir}/man1/native2ascii.1.gz
%doc %{_mandir}/man1/rmic.1.gz
%doc %{_mandir}/man1/serialver.1.gz
#
# Japanese man pages
%doc %{_mandir}/ja/man1/appletviewer.1.gz
%doc %{_mandir}/ja/man1/extcheck.1.gz
%doc %{_mandir}/ja/man1/idlj.1.gz
%doc %{_mandir}/ja/man1/jar.1.gz
%doc %{_mandir}/ja/man1/jarsigner.1.gz
%doc %{_mandir}/ja/man1/javac.1.gz
%doc %{_mandir}/ja/man1/javadoc.1.gz
%doc %{_mandir}/ja/man1/javah.1.gz
%doc %{_mandir}/ja/man1/javap.1.gz
%doc %{_mandir}/ja/man1/jdb.1.gz
%doc %{_mandir}/ja/man1/native2ascii.1.gz
%doc %{_mandir}/ja/man1/rmic.1.gz
%doc %{_mandir}/ja/man1/serialver.1.gz

%files jre
%defattr(-,root,root)
%doc %{_defaultdocdir}/java2-jre/
%config %{confdir}/%{name}-jre.conf
%dir /etc/.java/
%dir /etc/.java/.systemPrefs/
%config /etc/.java/.systemPrefs/.system.lock
%config /etc/.java/.systemPrefs/.systemRootModFile
%{libdir}/%{JAVA_COMPAT_DIR}
%dir %{libdir}/%{JAVA_DIR}
%{libdir}/%{JAVA_DIR}/jre
/usr/share/applications/javaws.desktop
%dir /opt/kde3/
%dir /opt/kde3/share/
%dir /opt/kde3/share/mimelnk/
%dir /opt/kde3/share/mimelnk/application/
/opt/kde3/share/mimelnk/application/javaws.desktop
#
# man pages
%doc %{_mandir}/man1/java.1.gz
%doc %{_mandir}/man1/javaws.1.gz
%doc %{_mandir}/man1/keytool.1.gz
%doc %{_mandir}/man1/kinit-%{name}.1.gz
%doc %{_mandir}/man1/klist-%{name}.1.gz
%doc %{_mandir}/man1/ktab.1.gz
%doc %{_mandir}/man1/orbd.1.gz
%doc %{_mandir}/man1/policytool.1.gz
%doc %{_mandir}/man1/rmid.1.gz
%doc %{_mandir}/man1/rmiregistry.1.gz
%doc %{_mandir}/man1/servertool.1.gz
%doc %{_mandir}/man1/tnameserv.1.gz
#
# Japanese man pages
%doc %{_mandir}/ja/man1/java.1.gz
%doc %{_mandir}/ja/man1/javaws.1.gz
%doc %{_mandir}/ja/man1/keytool.1.gz
%doc %{_mandir}/ja/man1/kinit.1.gz
%doc %{_mandir}/ja/man1/klist.1.gz
%doc %{_mandir}/ja/man1/ktab.1.gz
%doc %{_mandir}/ja/man1/orbd.1.gz
%doc %{_mandir}/ja/man1/policytool.1.gz
%doc %{_mandir}/ja/man1/rmid.1.gz
%doc %{_mandir}/ja/man1/rmiregistry.1.gz
%doc %{_mandir}/ja/man1/servertool.1.gz
%doc %{_mandir}/ja/man1/tnameserv.1.gz

%changelog -n java2
* Wed Nov 30 2005 - dbornkessel@suse.de
- update to release 10 in order to fix security Bug #135835
* Thu Jun 16 2005 - skh@suse.de
- update to release 08 to fix privilege elevation vulnerability in
  applets (#91025, CAN-2005-1974)
* Fri Nov 26 2004 - skh@suse.de
- updated to release 06 to fix privilege escalation vulnerability
  in plugin (#48498):
  http://sunsolve.sun.com/search/document.do?assetkey=1-26-57591-1
* Wed Sep 17 2003 - pmladek@suse.cz
- added desktop files for the javaws utility to define the mime type for KDE
  and the SuSE menu entry
* Mon Jul 14 2003 - pmladek@suse.cz
- updated to version 1.4.2
- used patch to change fonts.properties.ja instead of an extra source
- slightly modified the installation to be sure that all files are packaged
- created link /usr/bin/javaws to simply acces this new feature
- renamed man pages for kinit and klist which conflict with the
  package heimdal
* Tue Jul 01 2003 - mfabian@suse.de
- add fonts.properties.ja adapted for the fonts available on
  SuSE Linux.
* Wed May 21 2003 - pmladek@suse.cz
- fixed installation of documentation that rpm does not complain
  about unpacked files
* Sat Mar 08 2003 - pmladek@suse.de
- updated to the Sun's version 1.4.1, release 02
- fixed README.SuSE to mention the compat link /usr/lib/BlackdownJava2
* Thu Mar 06 2003 - pmladek@suse.cz
- removed java from Obsoletes, the problem with an update from
  older distributions will be solved another way in YaST [#24621]
* Thu Mar 06 2003 - pmladek@suse.cz
- removed libxpcom.so from Requires, it is included in the mozilla
  package and it is Required only by the mozilla plugin
- added java to Obsoletes [#24621]
* Tue Mar 04 2003 - pmladek@suse.cz
- moved config files in /etc/.java/.systemPrefs/ to the java2-jre subpackage
  to avoid warning messages
- added java to provides [#24621]
* Mon Feb 17 2003 - pmladek@suse.cz
- updated to Blackdown's version 1.4.1, release 01, compiled by gcc-3.2
- fixed rights of .so files
* Tue Jan 28 2003 - pmladek@suse.cz
- updated to version 1.4.1, release 01
- removed obsolete patches (extensions, font, stack_limit)
- fixed sdk package to require the exact version of the jre subpackage
* Thu Sep 26 2002 - pmladek@suse.cz
- removed the dependency on gtk again
* Mon Jul 22 2002 - pmladek@suse.cz
- updated to bugfix release 1.3.1_04
- splited into jre part and the rest of sdk [#15136, #16774]
- added configuration files into /etc/java/
- added another compactibility link /usr/lib/SunJava2-1.3
- removed link /usr/lib/SunJava2, will be created by SuSEconfig
- added /bin/mkdir and /bin/cat to PreReq
- added compat into java2-jre Requires
- fixed README.SuSE
* Fri Mar 01 2002 - pthomas@suse.de
- Fix README.SuSE
* Mon Feb 18 2002 - pmladek@suse.cz
- removed dependency on gtk because gtk is needed only by modul
  for Mozilla and Netscape [#13423]
- removed absolute links
- small fix in README.SuSE
* Wed Feb 06 2002 - pmladek@suse.cz
- updated to version 1.3.1_02, bugfix release
* Thu Jan 31 2002 - pmladek@suse.cz
- granted permissions for JSSE and JCE
- registered security providers from JSSE and JCE
* Mon Nov 19 2001 - pmladek@suse.cz
- added java2-jre to Provides
* Mon Nov 12 2001 - pmladek@suse.cz
- added ulimit -s 2048 to jawa_wrapper script (#12142)
- fixed list of default fonts (#12242)
- topdir renamed to SunJava2-1.3.1
- fixed README.SuSE
* Mon Oct 22 2001 - pmladek@suse.cz
- updated to version 1.3.1_01
- added build root
- fixed documentation
- disabled autoreqprov
- removed libnspr4.so from Requires because it is needed only by
  libjavaplugin_oji.so and this library is usefull only for
  Netscape 6.x and Mozilla which have libnspr4.so themselves
- replaced libodbc.so and libodbcinst.so with unixODBC in Requires
  to fit Provides of the package unixODBC
* Thu Sep 20 2001 - pmladek@suse.cz
- fixed README.SuSE (#11006)
* Mon Sep 10 2001 - pmladek@suse.cz
- removed absolute paths from %%post (#10369)
* Tue Sep 04 2001 - pmladek@suse.cz
- added SunJava2 to provides
- created README.SuSE
- post README.SuSE with mail to root
* Tue Aug 28 2001 - pmladek@suse.cz
- main link to sdk renamed from /usr/lib/java
  to /usr/lib/SunJava2
- added jdk1.1.x jre1.1.x sdk1.2.x jre1.2.x sdk1.3.x jre1.3.x
  to provides
- added unixODBC to neededforbuild
* Fri Jun 15 2001 - choeger@suse.de
- update to version 1.3.1
* Tue Apr 17 2001 - ro@suse.de
- added provides for libverify.so(VER_1)
* Fri Dec 15 2000 - choeger@suse.de
- update to version 1.3
* Mon Jul 10 2000 - choeger@suse.de
- first version of jdk1.2.2
